Will next Logic major upgrade work on leopard (G5)?

Discussion in 'Mac Apps and Mac App Store' started by marisp, Aug 10, 2010.

  1. marisp macrumors newbie

    Joined:
    Jul 13, 2010
    #1
    Hi, this is very interesting question for me.
    Will next Logic major upgrade work on leopard (G5)?
    And do you know when the upgrade might happen?
    I searched a net but could not really find the answer for this question.
    any ideas?
     
  2. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #2
    Well, apple has dropped PPC support from Its OS, and most updates to their apps require a current version of OSX, I'd say by default, the G5 won't be able to run the next version, since it will probably require the latest 10.6.x OS.
     
  3. maril1111 macrumors 68000

    maril1111

    Joined:
    Mar 14, 2010
    Location:
    Denmark
    #3

    I think it will be Intel only so the answer is likely no.

    However I disagree with your second statement about
    "since it will probably require the latest 10.6.x OS"
    I think it will be Leopard 10.5.8 Upwards
     

Share This Page